Bug 520217 - Dell Studio 1737 - Intel 82801I no mic, poor sound on gnome.
Summary: Dell Studio 1737 - Intel 82801I no mic, poor sound on gnome.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-29 00:24 UTC by Moreno Garcia
Modified: 2009-10-14 22:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-14 22:05:54 UTC


Attachments (Terms of Use)
grep for alsa and pulse on /var/log/messages (5.14 KB, text/plain)
2009-08-29 00:24 UTC, Moreno Garcia
no flags Details


Links
System ID Priority Status Summary Last Updated
ALSA Project 4694 None None None Never

Description Moreno Garcia 2009-08-29 00:24:26 UTC
Created attachment 359131 [details]
grep for alsa and pulse on /var/log/messages

Description of problem:
Mic doesn't work.

Poor sound from gnome applications. Examples:
Sound alarms from pidgin do not come up.
When gnome starts a lot of glitches on the startup welcome sound.

Sound works fine if watching a video from mplayer for example.

Version-Release number of selected component (if applicable):
http://www.alsa-project.org/db/?f=2f99c0b93c654a7ba97ba2e897d8a84acc24d03c

How reproducible:

Steps to Reproduce:
1. Go to Sound Preferences > Input Tab > Check if input volume is on a 100%, Internal Audio selected, but input level meter doesn't move.

2. Opened Sound Recorder, tried to record something, nothing recorded. 
  
Actual results:
Mic doesn't work.

Poor sound from gnome applications. Examples:
Sound alarms from pidgin do not come up.
When gnome starts a lot of glitches on the startup welcome sound.

Sound works fine if watching a video from mplayer for example.



Expected results:


Additional info:

http://www.alsa-project.org/db/?f=2f99c0b93c654a7ba97ba2e897d8a84acc24d03c

Primarily I decided to file this bug report because of a specific message on my /var/log/messages:
Aug 28 15:20:25 veritas pulseaudio[2400]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
I attached a grep I did on it today.

$ lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

# amixer
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 65536
  Mono:
  Front Left: Playback 65536 [100%] [on]
  Front Right: Playback 65536 [100%] [on]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch cswitch-joined
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 65536
  Front Left: Capture 65536 [100%] [on]
  Front Right: Capture 65536 [100%] [on]

Instaled packages:
alsa-lib-1.0.20-1.fc11.i586
alsa-lib-devel-1.0.20-1.fc11.i586
alsa-plugins-pulseaudio-1.0.20-2.fc11.i586
alsa-utils-1.0.20-3.fc11.i586
pulseaudio-0.9.15-14.fc11.i586
pulseaudio-libs-0.9.15-14.fc11.i586
pulseaudio-libs-glib2-0.9.15-14.fc11.i586
pulseaudio-module-bluetooth-0.9.15-14.fc11.i586
pulseaudio-module-gconf-0.9.15-14.fc11.i586
pulseaudio-module-x11-0.9.15-14.fc11.i586
pulseaudio-utils-0.9.15-14.fc11.i586
xine-lib-pulseaudio-1.1.16.3-2.fc11.i586

I'm available to provide more info if needed. I wasn't sure what to do so I also filed a bug on alsa:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=4694

Comment 1 Lennart Poettering 2009-09-07 21:43:30 UTC
Please file seperate bugs about seperate issues.

The problem with your mic might be fixable by issuing "alsactl init" in the terminal. Most likely it is simply a wrong setting in the low-level hw mixer.

If that does not fix your issue then please use the low-level tool "alsamixer -c0" to play around with the settings of your card and look for options that might influence your mic input. Alternatively try the 'Advanced volume control' instead, as mentioned in http://docs.fedoraproject.org/release-notes/f11/en-US/sect-Release_Notes-Multimedia.html

Comment 2 Lennart Poettering 2009-10-14 22:05:54 UTC
Closing due to lack of response.


Note You need to log in before you can comment on or make changes to this bug.